'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _tetherTooltip = require('tether-tooltip');

var _tetherTooltip2 = _interopRequireDefault(_tetherTooltip);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var positions = ['top-left', 'left-top', 'left-middle', 'left-bottom', 'bottom-left', 'bottom-center', 'bottom-right', 'right-bottom', 'right-middle', 'right-top', 'top-right', 'top-center'];

function destroyTooltip(el) {
  if (el._tooltip) {
    el._tooltip.destroy();
    delete el._tooltip;
  }
}

exports.default = {
  bind: function bind(el, _ref) {
    var value = _ref.value,
        modifiers = _ref.modifiers;

    destroyTooltip(el);

    var position = 'top-center';
    var _iteratorNormalCompletion = true;
    var _didIteratorError = false;
    var _iteratorError = undefined;

    try {
      for (var _iterator = positions[Symbol.iterator](), _step; !(_iteratorNormalCompletion = (_step = _iterator.next()).done); _iteratorNormalCompletion = true) {
        var pos = _step.value;

        if (modifiers[pos]) {
          position = pos;
        }
      }
    } catch (err) {
      _didIteratorError = true;
      _iteratorError = err;
    } finally {
      try {
        if (!_iteratorNormalCompletion && _iterator.return) {
          _iterator.return();
        }
      } finally {
        if (_didIteratorError) {
          throw _iteratorError;
        }
      }
    }

    position = position.replace('-', ' ');

    el._tooltip = new _tetherTooltip2.default({
      target: el,
      position: position,
      content: value,
      classes: 'vue-tooltip-theme'
    });
  },
  update: function update(el, _ref2) {
    var value = _ref2.value;

    if (el._tooltip) {
      el._tooltip.drop.content.innerHTML = value;
    }
  },
  unbind: function unbind(el) {
    destroyTooltip(el);
  }
};